- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_database_t

# mongoc_database_get_read_concern()

## Synopsis

    const mongoc_read_concern_t *
    mongoc_database_get_read_concern (const mongoc_database_t *database);

This function retrieves the default mongoc_read_concern_t to use with `database` as configured by the client.

## Parameters

- `database`: A mongoc_database_t.

## Returns

A mongoc_read_concern_t that should not be modified or freed.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.